summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Muhammad Herdiansyah <herdiansyah@openmailbox.org>2016-07-31 23:35:58 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-03 07:28:01 +0700
commit72ecb21d099671dd10bc0f1217a9991f59dfbd20 (patch)
tree179f5901862ddef3e31fbac3b9b6b0c531ee1565 /desktop
parentc6d206da653daa48aea1efe1d01f99a968a04de6 (diff)
downloadslackbuilds-72ecb21d099671dd10bc0f1217a9991f59dfbd20.tar.gz
slackbuilds-72ecb21d099671dd10bc0f1217a9991f59dfbd20.tar.xz
desktop/neofetch: Added (simple system information script).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/neofetch/README30
-rw-r--r--desktop/neofetch/neofetch.SlackBuild65
-rw-r--r--desktop/neofetch/neofetch.info10
-rw-r--r--desktop/neofetch/slack-desc19
4 files changed, 124 insertions, 0 deletions
diff --git a/desktop/neofetch/README b/desktop/neofetch/README
new file mode 100644
index 0000000000..91aa920c31
--- /dev/null
+++ b/desktop/neofetch/README
@@ -0,0 +1,30 @@
+neofetch is a script that gathers information about your system and
+prints it to the terminal next to an image, a distro's logo or any ASCII
+art of your choice.
+
+Optional dependencies:
+
+- Desktop Environment and Window Manager: xprop
+- Displaying images: w3m-img [1] [2]
+- Thumbnail creation: imagemagick
+- Displaying song information from Google Play Music Desktop Player:
+- gpmdp-remote (https://github.com/iAndrewT/gpmdp-remote)
+
+- Wallpaper: feh, nitrogen or gsettings (just choose one)
+- Current Song: mpc, cmus, moc, spotify, gpmdc (choose one)
+- Resolution: xorg-xrandr or xorg-xdpyinfo [3]
+- Screenshot: scrot [4]
+
+
+[1] w3m-img is sometimes bundled together with w3m.
+
+[2] Image support only works in certain terminal emulators. The script
+ will fallback to ascii mode on terminal emulators that don't support
+ the xterm escape sequences we're using for image sizing.
+
+[3] Xrandr is prefered over xdpyinfo as Xrandr supports multi monitor
+ and refresh rate display in the output.
+
+[4] You can use the launch flag `--scrot_cmd` or change the config
+ option '$scrot_cmd' to your screenshot program's cmd and neofetch
+ will use it instead of scrot.
diff --git a/desktop/neofetch/neofetch.SlackBuild b/desktop/neofetch/neofetch.SlackBuild
new file mode 100644
index 0000000000..16c419e14b
--- /dev/null
+++ b/desktop/neofetch/neofetch.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for neofetch
+# Copyright 2016 Muhammad Herdiansyah, Jakarta
+#
+# Redistribution and use of this script, with or without modification,
+# is permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
+# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
+# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=neofetch
+VERSION=${VERSION:-1.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="LICENSE.md README.md"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chmod 644 $DOCS
+
+mkdir -p $PKG/usr/share/neofetch/ascii/distro
+
+install -Dm755 $PRGNAM $PKG/usr/bin/$PRGNAM
+install -Dm644 $PRGNAM.1 $PKG/usr/man/man1/$PRGNAM.1
+install -Dm644 config/config $PKG/usr/share/$PRGNAM/config
+install -Dm644 ascii/distro/* $PKG/usr/share/$PRGNAM/ascii/distro/
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/neofetch/neofetch.info b/desktop/neofetch/neofetch.info
new file mode 100644
index 0000000000..53b5689bbe
--- /dev/null
+++ b/desktop/neofetch/neofetch.info
@@ -0,0 +1,10 @@
+PRGNAM="neofetch"
+VERSION="1.7"
+HOMEPAGE="https://github.com/dylanaraps/neofetch"
+DOWNLOAD="https://github.com/dylanaraps/neofetch/archive/1.7/neofetch-1.7.tar.gz"
+MD5SUM="3e9fd67a9a003df202e3495e0e17ede4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Muhammad Herdiansyah"
+EMAIL="herdiansyah@openmailbox.org"
diff --git a/desktop/neofetch/slack-desc b/desktop/neofetch/slack-desc
new file mode 100644
index 0000000000..8ac6a687ef
--- /dev/null
+++ b/desktop/neofetch/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+neofetch: neofetch (simple system information script)
+neofetch:
+neofetch: neofetch is a script similar to screenfetch. This script can be used
+neofetch: to generate any information about your system, it will auto-detect
+neofetch: your system and print it to the terminal next to an image, a distro
+neofetch: logo or an ASCII art of your choice.
+neofetch:
+neofetch: Homepage: https://github.com/dylanaraps/neofetch
+neofetch:
+neofetch: Report Bugs: https://github.com/dylanaraps/neofetch/issues
+neofetch: